## binutils 2.38

=== debian/changelog ===
binutils (2.38-3ubuntu1) jammy; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 12 Mar 2022 06:55:17 +0100

binutils (2.38-3) unstable; urgency=medium

  * Update from the binutils 2.38 branch:
    - Revert "Check thin archive element file size against archive header".
    - binutils 2.38 vs. ppc32 linux kernel: Weaken .machine again.

 -- Matthias Klose <doko@debian.org>  Sat, 12 Mar 2022 06:40:23 +0100

binutils (2.38-2ubuntu1) jammy; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 18 Feb 2022 06:05:30 +0100

binutils (2.38-2) unstable; urgency=medium

  * Update from the binutils 2.38 branch:
    - Updated Serbian translations.
    - ld: Keep indirect symbol from IR if referenced from shared object.
    - i386: Update I386_NEED_DYNAMIC_RELOC_TYPE_P for DT_TEXTREL.
    - Fix PR28882, build failure with gcc-4.2 due to use of 0b literals.
    - x86: Disallow invalid relocation against protected symbol.

 -- Matthias Klose <doko@debian.org>  Fri, 18 Feb 2022 05:46:44 +0100

binutils (2.38-1ubuntu1) jammy; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 09 Feb 2022 19:33:34 +0100

binutils (2.38-1) unstable; urgency=medium

  * binutils 2.38 release.

 -- Matthias Klose <doko@debian.org>  Wed, 09 Feb 2022 15:53:21 +0100

binutils (2.37.90.20220207-1ubuntu1) jammy; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 07 Feb 2022 09:14:58 +0100

binutils (2.37.90.20220207-1) unstable; urgency=medium

  * New upstream snapshot, taken from the 2.38 release branch.
    - Revert "ld: Rewrite lang_size_relro_segment_1".
    - Revert "elf: Remove the 1-page gap before the RELRO segment".

 -- Matthias Klose <doko@debian.org>  Mon, 07 Feb 2022 08:54:20 +0100

binutils (2.37.90.20220130-2) unstable; urgency=medium

  * Also ignore regressions for the cross packages.

 -- Matthias Klose <doko@debian.org>  Sun, 30 Jan 2022 17:51:18 +0100

binutils (2.37.90.20220130-0ubuntu2) jammy; urgency=medium

  * Also ignore regressions for the cross packages.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 30 Jan 2022 16:59:06 +0100

binutils (2.37.90.20220130-0ubuntu1) jammy; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 30 Jan 2022 14:48:27 +0100

binutils (2.37.90.20220130-1) unstable; urgency=medium

  * New upstream snapshot, taken from the 2.38 release branch.
    - Fix PR ld/28743, PR ld/28819. Closes: #1004272. LP: #1958642.
  * Configure with --with-isa-spec=2.2 on riscv64. LP: #1959325. Only change
    to the new ISA when GCC 12 becomes the default.
  * Fix PR ld/28827, taken from the trunk.
  * Fix PR ld/28826 x86_64 ld segfaults building xen, taken from the trunk.
    Closes: #1004269. LP: #1958389.

 -- Matthias Klose <doko@debian.org>  Sun, 30 Jan 2022 14:41:25 +0100

binutils (2.37.90.20220126-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot, taken from the 2.38 release branch.
    - Fix PR ld/28743, PR ld/28819. Closes: #1004272. LP: #1958642.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 23 Jan 2022 19:03:09 +0100

binutils (2.37.90.20220123-2) unstable; urgency=medium

  * Apply proposed patch for PR ld/28819.

 -- Matthias Klose <doko@debian.org>  Tue, 25 Jan 2022 16:57:38 +0100

binutils (2.37.90.20220123-1) unstable; urgency=medium

  * New upstream snapshot, taken from the 2.38 release branch.

 -- Matthias Klose <doko@debian.org>  Sun, 23 Jan 2022 17:51:30 +0100

binutils (2.37.50.20220119-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 19 Jan 2022 15:22:40 +0100

binutils (2.37.50.20220106-2ubuntu1) jammy; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 07 Jan 2022 08:42:48 +0100

binutils (2.37.50.20220106-2) unstable; urgency=medium

  * Ignore known regressions on powerpc, ppc64, ppc64el, see PR ld/28751.

 -- Matthias Klose <doko@debian.org>  Fri, 07 Jan 2022 08:39:03 +0100

binutils (2.37.50.20220106-1) unstable; urgency=medium

  * New upstream snapshot.
  * Configure with --disable-silent-rules.
  * Disable LTO in mipsel to workaround timeouts during tests.

 -- Matthias Klose <doko@debian.org>  Thu, 06 Jan 2022 07:38:55 +0100

binutils (2.37.50.20211201-1) experimental; urgency=medium

  * New upstream snapshot.
  * Ignore test regressions on mipsel, riscv64, sparc64.

 -- Matthias Klose <doko@debian.org>  Wed, 01 Dec 2021 10:52:43 +0100

binutils (2.37.50.20211118-1ubuntu1) jammy; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 18 Nov 2021 09:37:56 +0100

binutils (2.37.50.20211118-1) experimental; urgency=medium

  * New upstream snapshot.
  * Configure --with-gold-ldflags=-static-libstdc++.

 -- Matthias Klose <doko@debian.org>  Thu, 18 Nov 2021 09:20:55 +0100

binutils (2.37.50.20211115-1ubuntu1) jammy; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 15 Nov 2021 12:13:28 +0100

binutils (2.37.50.20211115-1) experimental; urgency=medium

  * New upstream snapshot.

 -- Matthias Klose <doko@debian.org>  Mon, 15 Nov 2021 11:17:26 +0100

binutils (2.37.50.20211102-1) experimental; urgency=medium

  * New upstream snapshot.

 -- Matthias Klose <doko@debian.org>  Tue, 02 Nov 2021 13:47:31 +0200

binutils (2.37-9ubuntu1) jammy; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from upstream sources.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 15 Nov 2021 11:07:25 +0100


