## binutils 2.38.90.20220713

=== debian/changelog ===
binutils (2.38.90.20220713-2+rpi1) bookworm-staging; urgency=medium

  [changes brought forward from 2.29-4+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Thu, 17 Aug 2017 15:41:49 +0000]
  * Disable testsuite, it fails on our lxc based autobuilders.

  [changes brought forward from 2.31.1-16+rpi2 by Peter Michael Green <plugwash@raspbian.org> at Thu, 06 Feb 2020 17:10:11 +0000]
  * Allow dependency of binutils on binutils-triplet to be satisfied by
    foreign architectures, to facilitate setting up environments where the
    linker is 64-bit while everything else is 32-bit.

  [changes brought forward from 2.35-3+rpi2 by Peter Michael Green <plugwash@raspbian.org> at Tue, 22 Sep 2020 18:10:17 +0000]
  * Build sufficient cross binutils to support u-boot build.

  [changes brought forward from 2.35.1-3+rpi2 by Peter Michael Green <plugwash@raspbian.org> at Tue, 01 Dec 2020 21:55:01 +0000]
  * Build the same set of cross-binutils on arm64 as on armhf.
    (avoids issues when control is generated on armhf and then package is
    built on arm64)
  * Remove <!nocheck> build-depends as testsuite is disabled.

  [changes brought forward from 2.37.90.20220130-2+rpi2 by Peter Michael Green <plugwash@raspbian.org> at Thu, 10 Feb 2022 12:05:47 +0000]
  * Apply patch proposed upstream to fix glibc link issue.

 -- Raspbian forward porter <root@raspbian.org>  Sat, 23 Jul 2022 08:40:50 +0000

binutils (2.38.90.20220713-2) unstable; urgency=medium

  * Regenerate gprofng/common/config.h.in.

 -- Matthias Klose <doko@debian.org>  Thu, 14 Jul 2022 12:07:20 +0200

binutils (2.38.90.20220713-1) unstable; urgency=medium

  * New upstream snapshot, taken from the 2.39 release branch.
  * Don't ignore any regressions on any architecture.

 -- Matthias Klose <doko@debian.org>  Wed, 13 Jul 2022 10:38:21 +0200

binutils (2.38.50.20220707-1) unstable; urgency=medium

  * New upstream snapshot.
  * Undo the reversion from the last upload.

 -- Matthias Klose <doko@debian.org>  Thu, 07 Jul 2022 12:29:59 +0200

binutils (2.38.50.20220629-4) unstable; urgency=medium

  * Revert patches for AArch64: Disallow copy relocations on protected data.

 -- Matthias Klose <doko@debian.org>  Fri, 01 Jul 2022 15:39:02 +0200

binutils (2.38.50.20220629-2) unstable; urgency=medium

  * Fix installation of the gprofng.rc config file.

 -- Matthias Klose <doko@debian.org>  Thu, 30 Jun 2022 09:05:34 +0200

binutils (2.38.50.20220629-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Matthias Klose <doko@debian.org>  Wed, 29 Jun 2022 14:48:40 +0200

binutils (2.38.50.20220627-1) unstable; urgency=medium

  * New upstream snapshot.
    - Fix PR 29263 for hppa-linux-gnu.
  * Fix cross-build error in gprofng subdir.

 -- Matthias Klose <doko@debian.org>  Mon, 27 Jun 2022 16:25:10 +0200

binutils (2.38.50.20220615-4) unstable; urgency=medium

  * Don't install the gprofng binary in the binutils-multiarch package.
  * Don't install the gprofng plugins in the binutils-multiarch package.

 -- Matthias Klose <doko@debian.org>  Thu, 16 Jun 2022 13:16:53 +0200

binutils (2.38.50.20220615-2) unstable; urgency=medium

  * Don't install gp-* binaries in the binutils-multiarch package.

 -- Matthias Klose <doko@debian.org>  Wed, 15 Jun 2022 19:28:52 +0200

binutils (2.38.50.20220615-1) unstable; urgency=medium

  * New upstream snapshot.
  * Ignore the pr26580-4 regression on m68k and sh4.

 -- Matthias Klose <doko@debian.org>  Wed, 15 Jun 2022 12:53:45 +0200

binutils (2.38.50.20220609-2) experimental; urgency=medium

  * New upstream snapshot.

 -- Matthias Klose <doko@debian.org>  Thu, 09 Jun 2022 14:40:22 +0200

binutils (2.38.50.20220527-2) experimental; urgency=medium

  * Move gprofng configuration file to binutils-common.
  * Configure with --sysconfdir=/etc.

 -- Matthias Klose <doko@debian.org>  Fri, 27 May 2022 13:52:17 +0200

binutils (2.38.50.20220527-1) experimental; urgency=medium

  * New upstream snapshot.

 -- Matthias Klose <doko@debian.org>  Fri, 27 May 2022 10:41:06 +0200

binutils (2.38.50.20220512-1) experimental; urgency=medium

  * New upstream snapshot.
  * Fix the build for architectures without gprofng support.

 -- Matthias Klose <doko@debian.org>  Thu, 12 May 2022 11:01:50 +0200

binutils (2.38.50.20220509-1) experimental; urgency=medium

  * New upstream snapshot.
  * Fix the build for architectures without gprofng support.

 -- Matthias Klose <doko@debian.org>  Mon, 09 May 2022 20:13:26 +0200

binutils (2.38.50.20220503-1) experimental; urgency=medium

  * New upstream snapshot.
  * Build libgprofng0 and libgprofng0-dbg packages.

 -- Matthias Klose <doko@debian.org>  Wed, 04 May 2022 00:06:52 +0200

binutils (2.38-4) unstable; urgency=medium

  * Update from the binutils 2.38 branch:
    - Fix PR ld/29087, x86: invalid relocation against protected symbol.
    - s390: Add DT_JMPREL pointing to .rela.[i]plt with static-pie.
    - Fix PR ld/22263, s390: Avoid dynamic TLS relocs in PIE.
    - Fix PR libctf/28933: ld: diagnose corrupted CTF header cth_strlen.
    - Fix PR 28885.
    - PR28959, obdump doesn't disassemble mftb instruction.
    - PowerPC64 DT_RELR relative reloc addresses.
  * Fix reproducible builds: source tarball embeds build user and group.
    Closes: #1010238.

 -- Matthias Klose <doko@debian.org>  Mon, 02 May 2022 22:50:25 +0200

binutils (2.37.50.20220121-1) unstable; urgency=medium

  * New upstream snapshot.
  * Revert the last change, PR ld/28751 is fixed.

 -- Matthias Klose <doko@debian.org>  Fri, 21 Jan 2022 09:36:36 +0100

binutils (2.36.90.20210712-1) UNRELEASED; urgency=medium

  * New upstream snapshot, taken from the 2.37 branch.

 -- Matthias Klose <doko@debian.org>  Mon, 12 Jul 2021 11:54:46 +0200

binutils (2.36.1-4) experimental; urgency=medium

  * Update from the binutils 2.36 branch:
    - binutils: Avoid renaming over existing files.
    - PR 26945, PR 27456.
  * When stripping packages, call debugedit before dwz to avoid warnings.
  * Add a README.source file.

