=== debian/control ===
--- 
+++ 
@@ -7,22 +7,6 @@
 Build-Depends: autoconf (>= 2.64), dpkg-dev (>= 1.19.0.5),
   bison, flex, gettext, texinfo, dejagnu, quilt, chrpath, dwz, debugedit (>= 4.16),
   python3:any, file, xz-utils, lsb-release, zlib1g-dev, procps,
-  g++-aarch64-linux-gnu [amd64 i386 x32] <!nocheck>,
-  g++-arm-linux-gnueabi [amd64 arm64 i386 x32] <!nocheck>,
-  g++-arm-linux-gnueabihf [amd64 arm64 i386 x32] <!nocheck>,
-  g++-powerpc64le-linux-gnu [amd64 arm64 i386 ppc64 x32] <!nocheck>,
-  g++-s390x-linux-gnu [amd64 arm64 i386 ppc64el x32] <!nocheck>,
-  g++-alpha-linux-gnu [amd64 i386 x32] <!nocheck>,
-  g++-hppa-linux-gnu [amd64 i386 x32] <!nocheck>,
-  g++-m68k-linux-gnu [amd64 i386 x32] <!nocheck>,
-  g++-powerpc-linux-gnu [amd64 i386 ppc64el x32] <!nocheck>,
-  g++-powerpc64-linux-gnu [amd64 i386 x32] <!nocheck>,
-  g++-riscv64-linux-gnu [amd64 arm64 i386 ppc64el x32] <!nocheck>,
-  g++-sh4-linux-gnu [amd64 i386 x32] <!nocheck>,
-  g++-sparc64-linux-gnu [amd64 i386 x32] <!nocheck>,
-  g++-i686-linux-gnu [amd64 arm64 ppc64el x32] <!nocheck>,
-  g++-x86-64-linux-gnu [arm64 i386 ppc64el] <!nocheck>,
-  g++-x86-64-linux-gnux32 [amd64 arm64 i386 ppc64el] <!nocheck>,
 Build-Conflicts: libelf-dev
 Rules-Requires-Root: no
 Homepage: https://www.gnu.org/software/binutils/
@@ -57,7 +41,7 @@
 Package: binutils
 Architecture: any
 Depends: ${shlibs:Depends}, binutils-common (= ${binary:Version}),
-  libbinutils (= ${binary:Version}), ${binutils:native} (= ${binary:Version})
+  libbinutils (= ${binary:Version}), ${binutils:native}:any (= ${binary:Version})
 Conflicts: modutils (<< 2.4.19-1), ${extraConflicts},
   binutils-multiarch (<< 2.27-8)
 Provides: elf-binutils, ${gold:Provides}
@@ -102,6 +86,31 @@
 Description: Compact C Type Format library (debug symbols, BFD dependency)
  This package includes the libctf-nobfd shared library.  The Compact C Type
  Format (CTF) is a way of representing information about a binary program
+
+Package: libgprofng0
+Architecture: any
+Multi-Arch: same
+Depends: ${shlibs:Depends}, libbinutils (= ${binary:Version})
+Description: GNU Next Generation profiler (runtime library)
+ Gprofng is the GNU Next Generation profiler for analyzing the performance
+ of Linux applications.  Gprofng allows you to:
+ .
+ - Profile C / C++ / Java / Scala applications without needing to recompile
+ - Profile multi-threaded applications
+ - Analyze and compare multiple experiments 
+ - Use time-based sampling and / or hardware event counters
+ .
+ This package includes the libgprofng shared library.
+
+Package: libgprofng0-dbg
+Section: debug
+Architecture: any
+Multi-Arch: same
+Depends: libgprofng0 (= ${binary:Version})
+Description: GNU Next Generation profiler (debug symbols)
+ Gprofng is the GNU Next Generation profiler for analyzing the performance
+ of Linux applications.
+ This package includes the debug symbols for the libgprofng shared library.
 
 Package: libbinutils
 Architecture: any
@@ -217,8 +226,8 @@
 Package: binutils-common
 Architecture: any
 Multi-Arch: same
-Breaks: binutils (<< 2.29.1-3.1~)
-Replaces: binutils (<< 2.29.1-3.1~)
+Breaks: binutils (<< 2.38.50.20220527-2), binutils-multiarch (<< 2.38.50.20220527-2)
+Replaces: binutils (<< 2.38.50.20220527-2), binutils-multiarch (<< 2.38.50.20220527-2)
 Description: Common files for the GNU assembler, linker and binary utilities
  This package contains the localization files used by binutils packages for
  various target architectures and parts of the binutils documentation. It is
@@ -226,14 +235,14 @@
 
 Package: binutils-x86-64-linux-gnu
 Priority: optional
-Architecture: amd64 arm64 i386 ppc64el x32
+Architecture: amd64 arm64 i386 ppc64el x32 armhf
 Multi-Arch: allowed
 Depends: binutils-common (= ${binary:Version}),
   ${shlibs:Depends}, ${extraDepends}
 Suggests: binutils-doc (= ${source:Version})
 Provides: 
-Breaks: binutils (<< 2.29-6)
-Replaces: binutils (<< 2.29-6)
+Breaks: binutils (<< 2.29-6), binutils-dev (<< 2.38.50.20220609-2)
+Replaces: binutils (<< 2.29-6), binutils-dev (<< 2.38.50.20220609-2)
 Description: GNU binary utilities, for x86-64-linux-gnu target
  This package provides GNU assembler, linker and binary utilities
  for the x86-64-linux-gnu target.
@@ -244,7 +253,7 @@
 Package: binutils-x86-64-linux-gnu-dbg
 Section: debug
 Priority: optional
-Architecture: amd64 arm64 i386 ppc64el x32
+Architecture: amd64 arm64 i386 ppc64el x32 armhf
 Multi-Arch: foreign
 Depends: binutils-x86-64-linux-gnu (= ${binary:Version})
 Description: GNU binary utilities, for x86-64-linux-gnu target (debug symbols)
@@ -252,14 +261,14 @@
 
 Package: binutils-i686-linux-gnu
 Priority: optional
-Architecture: i386 amd64 arm64 ppc64el x32
+Architecture: i386 amd64 arm64 ppc64el x32 armhf
 Multi-Arch: allowed
 Depends: binutils-common (= ${binary:Version}),
   ${shlibs:Depends}, ${extraDepends}
 Suggests: binutils-doc (= ${source:Version})
 Provides: binutils-i586-linux-gnu
-Breaks: binutils (<< 2.29-6)
-Replaces: binutils (<< 2.29-6)
+Breaks: binutils (<< 2.29-6), binutils-dev (<< 2.38.50.20220609-2)
+Replaces: binutils (<< 2.29-6), binutils-dev (<< 2.38.50.20220609-2)
 Description: GNU binary utilities, for i686-linux-gnu target
  This package provides GNU assembler, linker and binary utilities
  for the i686-linux-gnu target.
@@ -270,7 +279,7 @@
 Package: binutils-i686-linux-gnu-dbg
 Section: debug
 Priority: optional
-Architecture: i386 amd64 arm64 ppc64el x32
+Architecture: i386 amd64 arm64 ppc64el x32 armhf
 Multi-Arch: foreign
 Depends: binutils-i686-linux-gnu (= ${binary:Version})
 Description: GNU binary utilities, for i686-linux-gnu target (debug symbols)
@@ -278,15 +287,6 @@
 
 Package: binutils-aarch64-linux-gnu
 Priority: optional
-Architecture: arm64 amd64 i386 x32 ppc64el
+Architecture: arm64 amd64 i386 x32 ppc64el armhf
 Multi-Arch: allowed
 Depends: binutils-common (= ${binary:Version}),
-  ${shlibs:Depends}, ${extraDepends}
-Suggests: binutils-doc (= ${source:Version})
-Provides: 
-Breaks: binutils (<< 2.29-6)
-Replaces: binutils (<< 2.29-6)
-Description: GNU binary utilities, for aarch64-linux-gnu target
- This package provides GNU assembler, linker and binary utilities
- for the aarch64-linux-gnu target.
- .
