=== debian/rules ===
--- 
+++ 
@@ -3,8 +3,8 @@
 # Based on sample debian/rules file - for GNU Hello (1.3).
 # Copyright 1994,1995 by Ian Jackson.
 # Copyright 1998-2007 James Troup.
-# Portions Copyright 2008-2019 Canonical Ltd.
-# Portions Copyright 2008-2019 Matthias Klose.
+# Portions Copyright 2008-2022 Canonical Ltd.
+# Portions Copyright 2008-2022 Matthias Klose.
 # I hereby give you perpetual unlimited permission to copy,
 # modify and relicense this file, provided that you do not remove
 # my name from the file itself.  (I assert my moral right of
@@ -66,6 +66,7 @@
 
 p_ctf = libctf0
 p_ctfn = libctf-nobfd0
+p_gpng = libgprofng0
 
 p_hst = $(p_bin)-for-host
 p_bld = $(p_bin)-for-build
@@ -104,6 +105,7 @@
 
 d_ctf = debian/$(p_ctf)
 d_ctfn = debian/$(p_ctfn)
+d_gpng = debian/$(p_gpng)
 
 d_hst = debian/$(p_hst)
 d_bld = debian/$(p_bld)
@@ -142,7 +144,9 @@
                    ia64 riscv64 \
                    kfreebsd-amd64 kfreebsd-i386 hurd-i386
   else ifeq ($(DEB_HOST_ARCH),arm64)
-    CROSS_ARCHS ?= amd64 armel armhf i386 ppc64el riscv64 s390x x32
+    CROSS_ARCHS ?= amd64 armel armhf i386 riscv64
+  else ifeq ($(DEB_HOST_ARCH),armhf)
+    CROSS_ARCHS ?= amd64 armel arm64 i386 riscv64
   else ifeq ($(DEB_HOST_ARCH),ppc64)
     CROSS_ARCHS ?= ppc64el
   else ifeq ($(DEB_HOST_ARCH),ppc64el)
@@ -182,16 +186,21 @@
 endif
 endif
 
+ifneq (,$(filter $(DEB_HOST_ARCH),amd64 i386 arm64 x32))
+  with_gprofng = yes
+  CONF_GPROFNG = --enable-gprofng
+endif
+
 HOST_ARCHS_armhf = amd64 i386 x32 arm64 ppc64el
-HOST_ARCHS_armel = amd64 i386 x32 arm64 ppc64el
-HOST_ARCHS_arm64 = amd64 i386 x32 ppc64el
+HOST_ARCHS_armel = amd64 i386 x32 arm64 ppc64el armhf
+HOST_ARCHS_arm64 = amd64 i386 x32 ppc64el armhf
 HOST_ARCHS_powerpc = amd64 i386 x32 ppc64el
-HOST_ARCHS_ppc64el = amd64 i386 x32 ppc64 arm64
+HOST_ARCHS_ppc64el = amd64 i386 x32 ppc64
 HOST_ARCHS_s390x = amd64 i386 x32 arm64 ppc64el
-HOST_ARCHS_amd64 = arm64 i386 ppc64el x32
-HOST_ARCHS_i386 = amd64 arm64 ppc64el x32
+HOST_ARCHS_amd64 = arm64 i386 ppc64el x32 armhf
+HOST_ARCHS_i386 = amd64 arm64 ppc64el x32 armhf
 HOST_ARCHS_ia64 = amd64 i386 x32
-HOST_ARCHS_riscv64 = amd64 i386 x32 arm64 ppc64el
+HOST_ARCHS_riscv64 = amd64 i386 x32 arm64 ppc64el armhf
 
 HOST_ARCHS_alpha = amd64 i386 x32
 #HOST_ARCHS_arc = amd64 i386 x32
@@ -200,14 +209,14 @@
 HOST_ARCHS_ppc64 = amd64 i386 x32 ppc64el
 HOST_ARCHS_sh4 = amd64 i386 x32
 HOST_ARCHS_sparc64 = amd64 i386 x32
-HOST_ARCHS_x32 = amd64 arm64 i386 ppc64el
+HOST_ARCHS_x32 = amd64 i386 ppc64el
 
 HOST_ARCHS_mips = amd64 i386 x32
-HOST_ARCHS_mipsel = amd64 i386 x32 arm64 ppc64el
+HOST_ARCHS_mipsel = amd64 i386 x32 ppc64el
 HOST_ARCHS_mipsn32 = amd64 i386 x32
 HOST_ARCHS_mipsn32el = amd64 i386 x32
 HOST_ARCHS_mips64 = amd64 i386 x32
-HOST_ARCHS_mips64el = amd64 i386 x32 arm64 ppc64el
+HOST_ARCHS_mips64el = amd64 i386 x32 ppc64el
 
 HOST_ARCHS_mipsr6 = amd64 i386 x32
 HOST_ARCHS_mipsr6el = amd64 i386 x32
@@ -233,13 +242,3 @@
 D_CROSS		= debian/$(P_CROSS)
 
 # If $(TARGET) is not set, try reading debian/target
-ifeq (,$(TARGET))
-  ifneq (,$(wildcard debian/target))
-    TARGET := $(shell cat debian/target 2>/dev/null)
-  endif
-endif
-
-ifneq (,$(TARGET))
-  with_native	=
-  with_cross	= disabled by TARGET
-  same_source	=
